<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#


define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");

$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';

ob_start();
error_reporting(0);
// Проверка переменных
$id = intval($_GET['id']);
$kod = intval($_POST['kod']);
$gosite= $_POST['gosite'];
$sid = $_GET['sid'];
$action = intval($_GET['action']);

include('config_click.php');


$clickpas = mysql_fetch_row(mysql_query('SELECT (`time`) FROM `'.$setup['pref'].'clickpas`  WHERE `pas` = '.$_COOKIE[ "clickpas" ]));  //смотрим пас
	if ($clickpas[0] AND $clickpas[0]>=$time) //если пароль верный,и срок действия не вышел.
     {          
      header('Location: load.php?id='.$id.'');
      die();
    }


// задаем имя сессии
session_name("click");
// запускаем сессию
session_start();
// в переменную sid записываеи интедификатор сессии
$sid=session_id();


if ($stopcomp==0) { 
if (strstr($_SERVER['HTTP_USER_AGENT'], 'Opera') or strstr($_SERVER['HTTP_USER_AGENT'], 'Mozilla')) {
     header("Location: stop.php?id=$id");
     exit;
}
}

else{
if ($action)
{
 switch($_GET['action'])
 {
#####################################Инфа
  case '1':
  
require_once ("../incfiles/head.php");
echo '<div class="menu">Досутуп к разделу закрыт!</div>';
echo '<div class="list1">';  
$time = date("H");

if($time > 5 && $time < 13) echo("Доброе утро!<br />");
elseif($time > 12 && $time < 19) echo("Добрый день!<br />");
elseif($time > 18 && $time < 23) echo("Добрый вечер!<br />");
else echo("Доброй ночи!<br />");



echo "$textvhod";
echo '</div><div class="menu">Введите полученый вами код:</div><div class="list1">
<form action="click.php?gid='.$gid.'&amp;action=3" method="post">
<input maxlength="10" class="enter" type="text" name="kod"/><br/>
<input class="buttom" type="submit" name="list1" value="ок"/>
</form>
</div>';

echo '
<div class="bmenu"><li><a href="index.php?">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
';

echo '</div>';
require_once ("moduls/foot.php");
  break;
#####################################Активация
  case '2':
require_once ("../incfiles/head.php");  




echo '<div class="menu">Досутуп к разделу закрыт!</div>';
echo '<div class="list1">';  


// отключаем куки и переходящие sid-ы
ini_set('session.use_cookies', '0');
ini_set('session.use_trans_sid', '0');


// загружаем файл счетчика
$gocount=file("gocount.txt");
// за сегодня
$today=@intval($gocount[0]);
// всего
$all=@intval($gocount[1]);
// дата последнего вызова
$ldate=@intval($gocount[2]);
// если дата поледнего вызова не совпадает с текущей датой
if ($ldate!=date('d')) {
	// то обнуляем счетчик за сегодня и перезаписываеи файл
	$today=0;
	$ldate=date('d');
	$fp=fopen('gocount.txt', 'w');
	fwrite($fp, "$today\n");
	fwrite($fp, "$all\n");
	fwrite($fp, "$ldate\n");
	fclose($fp);
}

// запрет кеширования
header("Cache-Control: no-cache,no-store,must-revalidate");
header("Pragma: no-cache");

$active=false;
foreach ($links as $n=>$link) {
     if (@$_SESSION['link'.$n]!=true) {
          $active=true;
     }
}

// если не передан sid, то выдаем редирект на себя (для старых браузеров)
if (!isset($_GET['sid'])) {
	header("Location: click.php?sid=$sid&id=$id&action=2");
	exit;
}



// если передан GET-параметр go с номером ссылки
if (isset($_GET['go'])) {
	// номер ссылки, по которой собирается перейти юзарь
	$l=$_GET['go'];
	// в сессию записываем параметр с номером ссылки и значением true
	$_SESSION['link'.$l]=true;
	// выдаеи редирект на ссылку из массива links
	header("Location: $links[$l]");
} else {


	
	if (@!$active) {
	
	$time=time()+$setup['click_pas']*3600;
$pas=mt_rand(000000,999999);
mysql_query("INSERT INTO `clickpas` (`pas`,`time`) VALUES ($pas, $time);"); //создаем пароль и его время действия
      setcookie("clickpas", $pas, mktime(0,0,0,1,1,2012)); //записываем пароль в куки
          echo "$textaktiv.$pas";
       } else {
echo "$textlinks";
}
// если передан параметр gosite (войти на сайт)
if (@!$active) {
	// увеличиваем счетчики
	$today++;
	$all++;	

	// перезаписываем файл счетчика
	$fp=fopen('gocount.txt', 'w');
	fwrite($fp, "$today\n");
	fwrite($fp, "$all\n");
	fwrite($fp, "$ldate\n");
	fclose($fp);


}	
	// если нет активных ссылок
	if (@!$active) {	        
		// ссылка на этот файл с параметром gosite (чтобы подсчитать количество переходов)
		echo "<li><a href=\"click.php?action=2&amp;id=$id&amp;gosite=true&amp;amp;sid=$sid\">$filename</a></li>";
	}
		
	// идем по массиву links 
	foreach ($links as $n=>$link) {
		// n - номер текущего елемента, link - значение (урл ссылки) 
		// если в сессии присуствует параметр с номером ссылки и значением true
		// @ надо, чтобы не возникало ошибки notice
		if (@$_SESSION['link'.$n]==true) {
			echo "<li>Ссылка $n [активна]</li>";
		} else {
			// иначе выводим ссылку на этот файл с параметром go с номером ссылки и интедификатором сессии
			// сразу урл нельзя выводить потому, что тогда не узнать, перешел ли юзарь по ссылке
			echo "<li><a href=\"click.php?action=2&amp;id=$id&amp;go=$n&amp;sid=$sid\">Ссылка $n</a> [не активна]</li>";
			// это означает, что есть еще активные ссылки и нельзя войти на сайт
			$active=true;
		}
	}
	
        echo "<br/>";
	// счетчик
	echo "$countname<br/>
<li>Сегодня: $today человек(а)</li> 
<li>Всего: $all человек(а)</li><br/>";
echo '</div>';
echo '
<div class="bmenu"><li><a href="index.php?">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
';

echo '</div>';
require_once ("moduls/foot.php");
	

}

// для отмены переходяших sid-ов, НЕ ИЗМЕНЯТЬ!!!
$text=ob_get_contents();
ob_end_clean();
echo $text;
  break;
#####################################Проверка пароля
  case '3':  
$clickpas = mysql_fetch_row(mysql_query('SELECT (`time`) FROM `'.$setup['pref'].'clickpas`  WHERE `pas` = '.$kod));  //смотрим пас
	if ($clickpas[0] AND $clickpas[0]>=$time)
     {
      setcookie("clickpas", $kod, mktime(0,0,0,1,1,2012)); //записываем пароль в куки
      header('Location: load.php?id='.$id.'');
      die();
     }
else {
require_once ("../incfiles/head.php");
echo '<div class="menu"><font color="red">Пароль неверный!Повторите ввод.</font></div>';
echo '<div class="menu">Досутуп к разделу закрыт!</div>';
echo '<div class="list1">';  
$time = date("H");

if($time > 5 && $time < 13) echo("Доброе утро!<br />");
elseif($time > 12 && $time < 19) echo("Добрый день!<br />");
elseif($time > 18 && $time < 23) echo("Добрый вечер!<br />");
else echo("Доброй ночи!<br />");



echo "$textvhod";
echo '</div><div class="menu">Введите полученый вами код:</div><div class="list1">
<form action="click.php?gid='.$gid.'&amp;action=3" method="post">
<input maxlength="10" class="enter" type="text" name="kod"/><br/>
<input class="buttom" type="submit" name="list1" value="ок"/>
</form>
</div>';

echo '
<div class="bmenu"><li><a href="index.php?">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
';

echo '</div>';
require_once ("moduls/foot.php");
    }
  break;
 }
}
else exit;}
?>
